> For the complete documentation index, see [llms.txt](https://apidocs.nhanh.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.nhanh.vn/v3/vpage/customer/list.md).

# Danh sách khách hàng

* Lấy thông tin khách hàng ở trang [Danh sách khách hàng](https://vpage.nhanh.vn/app/customer)

## Request

```curl

curl --location 'https://vpage.open.nhanh.vn/v3.0/customer/list?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {}
}'

```

### Filters

| Key         | Type   | Description                                     |
| ----------- | ------ | ----------------------------------------------- |
| pageId      | string | PageId cần lấy thong tin khách hàng             |
| pageUserIds | array  | danh sách pageUserId cần lấy thông tin của page |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "data": [
    {
      "id": "115378144944854_6778497145514509",
      "fanpageId": "115378144944854",
      "fanpageUserId": "6778497145514509",
      "name": "Linhgfx",
      "createdTime": 1762503820,
      "phones": [
        "0988767665",
        "0987887656",
        "0977656789",
        "0977688667",
        "0977688666",
        "0977688665",
        "0977688661",
        "0978776776"
      ],
      "emails": [
        "linh111@gmail.com"
      ]
    },
    {
      "id": "115378144944854_25138949609117568",
      "fanpageId": "115378144944854",
      "fanpageUserId": "25138949609117568",
      "name": "Trung Nguyễn",
      "createdTime": 1769421865,
    }
  ]
}
```
